package graph;

public class Edge implements Comparable<Edge>
{
    public int weight;    
    public Node start,end;
	
    public Edge(Node start, Node end, int weight)
    {
    	this.start = start;
    	this.end = end;
    	this.weight = weight;
    }
    
    public boolean equals(Object o)
    {
        Edge e = (Edge) o;
        return ((e.start.id == start.id) 
                && (e.end.id == end.id));
    }
    
    public int compareTo(Edge e) 
    {
        //Edge e = (Edge) o;
			
        if(end.id > e.end.id)
            return 1;
        else if(end.id < e.end.id)
            return -1;
        return 0;
    }
	
    public String toString()
    {
        String temp = "[" + start.id + ", " + end.id + "]";
        return temp;
    }

}
