package graph;

public class NodePair implements Comparable<NodePair> 
{
    public int id1;
    public int id2;
    public double cost;
	
    public NodePair(int id1, int id2, double cost)
    {
		this.id1 = id1;
		this.id2 = id2;
		this.cost = cost;
    }
	
    public int compareTo(NodePair np) 
    {
		if (this.cost > np.cost)
		    return 1;
		else if (this.cost < np.cost)
		    return -1;
		else
		{
			if (this.id1 > np.id1)
			    return 1;
			else if (this.id1 < np.id1)
			    return -1;
			else
		    {
				if (this.id2 > np.id2)
				    return 1;
				else if (this.id2 < np.id2)
				    return -1;
				else
				    return 0;
		   }
		}	
    }
	
    public String toString()
    {
    	//return new String(id1 + " " + id2);
     	return new String(id1 + " " + id2 + " " + cost);
    }
	
}
